public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
Date: Thu, 29 Feb 2024 01:49:34 +0000 (UTC)	[thread overview]
Message-ID: <1709171307.701eea4736f1c4c93e67a072df967f83b9e58fda.sam@gentoo> (raw)

commit:     701eea4736f1c4c93e67a072df967f83b9e58fda
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 29 01:48:27 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 29 01:48:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=701eea47

x11-misc/xfe: add 1.46

* Filter LTO because of -Wlto-type-mismatch (reported upstream at https://sourceforge.net/p/xfe/bugs/282/)
* Restrict tests as it's just a lint-style check for po/ (translations)
* This version newly has Polkit rules but it only installs them if Polkit is installed.
  Hand-roll the installation in the ebuild to avoid automagic and needing to RDEPEND
  on polkit.

Closes: https://bugs.gentoo.org/847253
Closes: https://bugs.gentoo.org/864757
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-misc/xfe/Manifest        |   1 +
 x11-misc/xfe/xfe-1.46.ebuild | 117 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 4366ba8b9552..17d13422f103 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,2 +1,3 @@
 DIST xfe-1.43.2.tar.gz 2834576 BLAKE2B 5ac7ebf229febb75a99e4829a38a3675d6674ec6eced13dc5be70d2b68ce88f6394621dffec2d8359e72da7eace582883b72491e90597ab4a8925685cb577fcb SHA512 ad7b450d0828747f801219c23824b0751fc2a7f0eea791369c4adb3090ffe1279056fa8804ef97b25a2f810e00d37357efc962dc9d4087c3d7cc5f8ffb37d51d
 DIST xfe-1.44.tar.xz 1444296 BLAKE2B 3ace2689adc2a4e2b24e44f8f416cad5e4904d38d2be7e275256714a707995368450e63c4cf2eee3f870be51c42f295a938ea6ecd159dd1a996aad53b5d119b3 SHA512 d02f0db46c5ca6e26cff447d7f11bbc5f03a9d28b8d492a783bb47f67431a022785d6f3b25013f82a6121a8675f86caf1a9154a7faa8186e05cf4de0bd2f1749
+DIST xfe-1.46.tar.xz 1431496 BLAKE2B d7b85e5280d1d9d6db3737f8ac14f4248ae4e99b52d843b51468299bdf71581003b21d0fb2be9949c7189481ed5f3fe88bbd146d2185c17dea3a4785edb876b7 SHA512 9fea984ebbfe4dada85e028bfbde1352392cb77462c238c77c6950aac2526db11d556c8187fd765fd935ba21088c1b551e88ee414dcac35d7c59f5411c4c145b

diff --git a/x11-misc/xfe/xfe-1.46.ebuild b/x11-misc/xfe/xfe-1.46.ebuild
new file mode 100644
index 000000000000..f346e2fce311
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.46.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit flag-o-matic plocale xdg-utils
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+# The only dir which defines a 'check' target is po/ which doesn't do anything
+# useful for us. It also fails, see bug #847253.
+RESTRICT="test"
+
+RDEPEND="
+	x11-libs/fox:1.6[png,truetype]
+	media-libs/fontconfig
+	x11-libs/libXrandr
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? (
+		x11-libs/libxcb:=
+		x11-libs/startup-notification
+		x11-libs/xcb-util
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/intltool
+	virtual/pkgconfig
+	nls? (
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip || die <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	plocale_for_each_disabled_locale rm_locale
+}
+
+src_configure() {
+	# https://sourceforge.net/p/xfe/bugs/282/ (bug #864757)
+	filter-lto
+
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}
+
+src_install() {
+	default
+
+	# Install this unconditionally rather than automagically based on whether
+	# polkit is installed
+	rm -rf "${ED}"/usr/share/polkit-1/actions || die
+	insinto /usr/share/polkit-1/actions
+	newins - org.xfe.root.policy <<-EOF
+	<?xml version="1.0" encoding="UTF-8"?>
+	<!DOCTYPE policyconfig PUBLIC "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
+		 "http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd">
+	<policyconfig>
+	    <vendor>Xfe</vendor>
+	    <vendor_url>http://roland65.free.fr/xfe</vendor_url>
+	    <icon_name>xfe</icon_name>
+	    <action id="org.xfe.root">
+		<description>Run Xfe as root</description>
+		<message>Authentication is required to run Xfe as root</message>
+		<defaults>
+			<allow_any>auth_admin</allow_any>
+			<allow_inactive>auth_admin</allow_inactive>
+			<allow_active>auth_admin</allow_active>
+		</defaults>
+		<annotate key="org.freedesktop.policykit.exec.path">${EPREFIX}/usr/bin/xfe</annotate>
+		<annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>
+	</action>
+	</policyconfig>
+	EOF
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


             reply	other threads:[~2024-02-29  1:49 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-29  1:49 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-27 22:03 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/ Sam James
2024-02-29  1:52 Sam James
2022-05-24  7:13 Joonas Niilola
2022-05-24  7:13 Joonas Niilola
2022-04-06 19:47 Jonas Stein
2021-07-04 14:03 Ulrich Müller
2019-12-28 15:37 Thomas Deutschmann
2019-06-12  7:25 Jeroen Roovers
2019-06-12  7:25 Jeroen Roovers
2018-09-22 12:58 Jeroen Roovers
2018-07-20  3:25 Jeroen Roovers
2017-04-01 10:24 David Seifert
2017-03-22  7:30 Michael Weber
2017-03-21 14:34 Agostino Sarubbo
2017-03-21 10:08 Michael Weber
2017-03-20 11:04 Agostino Sarubbo
2017-03-07  9:14 David Seifert
2016-07-31 10:25 Jeroen Roovers
2015-12-26 11:10 Jeroen Roovers
2015-12-26 10:36 Agostino Sarubbo
2015-12-21  6:21 Jeroen Roovers
2015-12-16 10:12 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709171307.701eea4736f1c4c93e67a072df967f83b9e58fda.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox